package logs

import (
	"context"
)

type Storage interface {
	Init(ctx context.Context) error
	Reset(ctx context.Context) error
	Log(ctx context.Context, entry []*Entry) error
	Find(ctx context.Context, filter *Filter, options *FindOptions) ([]*Entry, error)
	Delete(ctx context.Context, filter *Filter) error
}
